/* global */

:root {
  --primary-color: #533331;
  --secondary-color: #270B11;
  --border-color: #84565F;
  --color1: #DDE5DD;
  --color2: #F6E886;
  --color3: #F8BCDD;
  --color4: #B7D6E9;
  --color5: #BDE9B4;
  
  --border-size: 8px;
}

html {
    margin: 0;
    padding: 0;
    height: 100%;
    background-color: white;
}

body {
  padding: 0px;
  margin: auto;
  width: 70%;
  
  font-family: Papyrus, fantasy;
  font-size: 150%;
  background-color: var(--primary-color);
  color: var(--color1);
}

/* loader */

#loader {
  position: fixed;
  inset: 0;
  z-index: 100;
  background-color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: opacity 0.6s;
}

#loader-kurczak1 {
    image-rendering: pixelated;
    width: 50%;
    max-width: 400px;
    height: auto;
}

/* night-overlay */

#night-overlay {
  position: fixed;
  inset: 0;
  z-index: 99;
  width: 100%;
  
  display: none;            /* domyślnie wyłączone */
  justify-content: center;
  align-items: center;
  flex-direction: column;

  background: rgba(0,0,0,0.8); /* przyciemnienie tła */
}

.images-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  padding-top: 15px;
}

.night-overlay-img {
  max-width: 90%;
  max-height: 90%;
}

.night-overlay-text {
  padding-bottom: 20px;
  width: 100%;
  text-align: center;
  color: white;
  font-size: 2.5rem;
  margin: 0;
  padding-top: 15px;
  padding-bottom: 15px;
}

.no-click {
   pointer-events: none;
}

/* logo */

#logo {
  position: absolute;   /* zostaje absolute */
  top: var(--border-size);
  left: var(--border-size);
  width: 70px;
  height: 70px;
  z-index: 9;
}

#logo img {
  width: 100%;
  height: 100%;
}

/* header */

header {
  border: var(--border-size) solid var(--border-color);
  position: sticky;
  top: 0;
}

header nav {
  height: 90px;
  background-color: var(--secondary-color);
  padding-right: 20px;
}

header ul {
  margin: 0;
  height: 100%;
  list-style: none;
  display: flex;
  justify-content: flex-end;
  flex-wrap: wrap;
  align-items: center;
}

header ul:before {
  content: "/";
  margin-right: 5px;
  color: var(--color2);
}

header li:after {
  content: "/";
  margin: 0 5px;
  color: var(--color2);
}

header li a {
    color: var(--color1);
}

/* main */

main {
  padding: 10px;
  border: var(--border-size) solid var(--border-color);
  border-top: 0;
}

main h1 {
  text-align: center;
}

#yt-btn {
  background-color: var(--color2);
  padding: 10px;
  border: 3px solid black;
  font-weight: 700;
  font-family: 'Courier New', monospace;
}

p {
  border-left: 6px solid var(--color3);
  padding-left: 10px;
}

li::marker {
  color: var(--color2);
}

/* footer */

footer {
  margin: 0px;
  padding: 0px;
  display: flex;
  justify-content: flex-end;
  font-size: 1 rem;
  font-family: 'Acme', sans-serif;
  color: white;
}

footer img {
  padding: 10px;
  vertical-align: middle;
}

/* media */

@media (max-width: 768px) {
  body {
    max-width: 100%;         /* ← od 768px idziemy na full szerokość */
    width: 100%;
  }
  #logo {
    left: 10px;
  }
}

/* Text Effects from internet */

.gradient-text {
    background: linear-gradient(270deg, #F6E886, #F8BCDD);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    font-weight: 700;
    font-family: 'Courier New', monospace;
    
    text-shadow: 2px 2px 10px rgba(255, 255, 255, 0.33);
}

.typewriter-effect {
  display: flex;
  justify-content: center;
  font-family: monospace;
}

.typewriter-effect > .text {
  max-width: 0;
  animation: typing 10s steps(var(--characters)) infinite;
  white-space: nowrap;
  overflow: hidden;
}

.typewriter-effect::after {
  content: " |";
  animation: blink 1s infinite;
  animation-timing-function: step-end;
}

@keyframes typing {
  75%,
  100% {
    max-width: calc(var(--characters) * 1ch);
  }
}

@keyframes blink {
  0%,
  75%,
  100% {
    opacity: 1;
  }
  25% {
    opacity: 0;
  }
}

/* nieużywane */

#visitorCounter {
  font-family: Arial, sans-serif;
  color: #0f0;
  font-size: 24px;
  position: fixed;
  bottom: 20px;
  right: 20px;

  animation: fadeIn 1s ease-in-out;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateY(10px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}


